Package org.bukkit.material.types

# Enum Class MushroomBlockTexture

java.lang.Object
java.lang.Enum<MushroomBlockTexture>
org.bukkit.material.types.MushroomBlockTexture

All Implemented Interfaces:
  `Serializable`, `Comparable<MushroomBlockTexture>`, `Constable`

@Deprecated public enum MushroomBlockTexture extends Enum<MushroomBlockTexture>
Deprecated.
use BlockData
Represents the different textured blocks of mushroom.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL_CAP`
Deprecated.
Cap texture on all faces.
`ALL_PORES`
Deprecated.
Pores on all faces.
`ALL_STEM`
Deprecated.
Stem texture on all faces.
`CAP_EAST`
Deprecated.
Cap texture on the top and east faces, pores on remaining sides.
`CAP_NORTH`
Deprecated.
Cap texture on the top and north faces, pores on remaining sides.
`CAP_NORTH_EAST`
Deprecated.
Cap texture on the top, north and east faces, pores on remaining sides.
`CAP_NORTH_WEST`
Deprecated.
Cap texture on the top, north and west faces, pores on remaining sides.
`CAP_SOUTH`
Deprecated.
Cap texture on the top and south faces, pores on remaining sides.
`CAP_SOUTH_EAST`
Deprecated.
Cap texture on the top, south and east faces, pores on remaining sides.
`CAP_SOUTH_WEST`
Deprecated.
Cap texture on the top, south and west faces, pores on remaining sides.
`CAP_TOP`
Deprecated.
Cap texture on the top face, pores on remaining sides.
`CAP_WEST`
Deprecated.
Cap texture on the top and west faces, pores on remaining sides.
`STEM_SIDES`
Deprecated.
Stem texture on the north, east, south and west faces, pores on top and bottom.

## Method Summary

Modifier and Type
Method
Description
`static @Nullable MushroomBlockTexture`
`getByData(byte data)`
Deprecated.
Magic value
`static @Nullable MushroomBlockTexture`
`getCapByFace(@Nullable BlockFace face)`
Deprecated.
Gets the MushroomBlockType with cap texture on the given block face.
`@Nullable BlockFace`
`getCapFace()`
Deprecated.
Gets the face that has cap texture.
`byte`
`getData()`
Deprecated.
Magic value
`static MushroomBlockTexture`
`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static MushroomBlockTexture[]`
`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ALL_PORES

public static final MushroomBlockTexture ALL_PORES
Deprecated.
Pores on all faces.

### CAP_NORTH_WEST

public static final MushroomBlockTexture CAP_NORTH_WEST
Deprecated.
Cap texture on the top, north and west faces, pores on remaining sides.

### CAP_NORTH

public static final MushroomBlockTexture CAP_NORTH
Deprecated.
Cap texture on the top and north faces, pores on remaining sides.

### CAP_NORTH_EAST

public static final MushroomBlockTexture CAP_NORTH_EAST
Deprecated.
Cap texture on the top, north and east faces, pores on remaining sides.

### CAP_WEST

public static final MushroomBlockTexture CAP_WEST
Deprecated.
Cap texture on the top and west faces, pores on remaining sides.

### CAP_TOP

public static final MushroomBlockTexture CAP_TOP
Deprecated.
Cap texture on the top face, pores on remaining sides.

### CAP_EAST

public static final MushroomBlockTexture CAP_EAST
Deprecated.
Cap texture on the top and east faces, pores on remaining sides.

### CAP_SOUTH_WEST

public static final MushroomBlockTexture CAP_SOUTH_WEST
Deprecated.
Cap texture on the top, south and west faces, pores on remaining sides.

### CAP_SOUTH

public static final MushroomBlockTexture CAP_SOUTH
Deprecated.
Cap texture on the top and south faces, pores on remaining sides.

### CAP_SOUTH_EAST

public static final MushroomBlockTexture CAP_SOUTH_EAST
Deprecated.
Cap texture on the top, south and east faces, pores on remaining sides.

### STEM_SIDES

public static final MushroomBlockTexture STEM_SIDES
Deprecated.
Stem texture on the north, east, south and west faces, pores on top and bottom.

### ALL_CAP

public static final MushroomBlockTexture ALL_CAP
Deprecated.
Cap texture on all faces.

### ALL_STEM

public static final MushroomBlockTexture ALL_STEM
Deprecated.
Stem texture on all faces.

## Method Details

### values

public static MushroomBlockTexture[] values()
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MushroomBlockTexture valueOf(String name)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getData

@Deprecated public byte getData()
Deprecated.
Magic value
Gets the associated data value representing this mushroom block face.

Returns:
  A byte containing the data value of this mushroom block face

### getCapFace

@Nullable public @Nullable BlockFace getCapFace()
Deprecated.
Gets the face that has cap texture.

Returns:
  The cap face

### getByData

@Deprecated @Nullable public static @Nullable MushroomBlockTexture getByData(byte data)
Deprecated.
Magic value
Gets the MushroomBlockType with the given data value.

Parameters:
  `data` - Data value to fetch
Returns:
  The `MushroomBlockTexture` representing the given value, or null if it doesn't exist

### getCapByFace

@Nullable public static @Nullable MushroomBlockTexture getCapByFace(@Nullable @Nullable BlockFace face)
Deprecated.
Gets the MushroomBlockType with cap texture on the given block face.

Parameters:
  `face` - the required block face with cap texture
Returns:
  The `MushroomBlockTexture` representing the given block face, or null if it doesn't exist
See Also:
  - `BlockFace`